/******************************************************************************
*
*  OCO SOURCE MATERIALS
*
*  (C) COPYRIGHT International Business Machines Corp. 1987, 2004
*  All Rights Reserved
*  Licensed Materials - Property of IBM
*  "Restricted Materials of IBM"
* 
*  US Government Users Restricted Rights - Use, duplication or
*  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
*
*  Source File Name = dxxrc.h
*
*  Component Name   = DB2 XML Extender
*
*  Descriptive Name = External header file
*
*
*  Operating System = Common Code
*
*******************************************************************************/

#ifndef _DXX_RC_H
#define _DXX_RC_H

/**********************************************************************/
/*                       SQL states (for UDFs)                        */
/**********************************************************************/
#define DXX_SQLSTATE_OK                        "00000"

#define DXX_SQLSTATE_OPEN_FILE_FAIL            "38X00"
#define DXX_SQLSTATE_CANT_FIND_FILE            "38X01"
#define DXX_SQLSTATE_READ_FILE_FAIL            "38X02"
#define DXX_SQLSTATE_WRITE_FILE_FAIL           "38X03"
#define DXX_SQLSTATE_UDFLOCATOR_FAIL           "38X04"
#define DXX_SQLSTATE_EXCEED_VARCHAR_LIMIT      "38X05"
#define DXX_SQLSTATE_EXCEED_CLOB_LIMIT         "38X06"
#define DXX_SQLSTATE_FILE2LOCATOR_FAIL         "38X07"
#define DXX_SQLSTATE_INVALID_MULT_OCCUR        "38X08"
#define DXX_SQLSTATE_PATH_SYNTAX_ERR           "38X09"
#define DXX_SQLSTATE_OUT_OF_MEMORY             "38X10"
#define DXX_SQLSTATE_ACCESS_MODE_NOT_SUPPORTED "38X11"
#define DXX_SQLSTATE_DTDID_NOT_FOUND           "38X12"
#define DXX_SQLSTATE_PARSER_ERR                "38X13"
#define DXX_SQLSTATE_INVALID_DOC               "38X14"
#define DXX_SQLSTATE_DAD_ERR                   "38X15"
#define DXX_SQLSTATE_NULL_PARM                 "38X16"
#define DXX_SQLSTATE_INVALID_SQL               "38X17"
#define DXX_SQLSTATE_INTERNAL_ERR              "38X18"
#define DXX_SQLSTATE_OUT_OF_DOC_BUF            "38X19"
#define DXX_SQLSTATE_MAX_NDOC_EXCEEDED         "38X20"
#define DXX_SQLSTATE_INVALID_COL               "38X21"
#define DXX_SQLSTATE_WRONG_MAPPING             "38X22"
#define DXX_SQLSTATE_ATTR_NONAME               "38X23"
#define DXX_SQLSTATE_ATTR_NOCOL                "38X24"
#define DXX_SQLSTATE_TEXT_NOCOL                "38X25"
#define DXX_SQLSTATE_RES_TAB_NOT_FOUND         "38X26"
#define DXX_SQLSTATE_RES_COL_TOO_SMALL         "38X27"
#define DXX_SQLSTATE_INVALID_TAB               "38X28"
#define DXX_SQLSTATE_INVALID_FORMAT            "38X29"
#define DXX_SQLSTATE_NO_KEYS                   "38X30"
#define DXX_SQLSTATE_KEYS_NOCOL                "38X31"
#define DXX_SQLSTATE_NO_COL                    "38X32"
#define DXX_SQLSTATE_PARM_NOT_SUPPORTED	       "38x33"
#define DXX_SQLSTATE_FILE_NAME_INVALID	       "38x34"
#define DXX_SQLSTATE_TRC_ENV_ERR               "38X35"
#define DXX_SQLSTATE_PATH_NOT_FOUND            "01HX0"
#define DXX_SQLSTATE_DB_NOT_BIND               "38X36"
#define DXX_SQLSTATE_WRONG_CODEPAGE            "38X37"
#define DXX_SQLSTATE_UNSUPPORTED_CODEPAGE      "38X38"
#define DXX_SQLSTATE_EXTRACT_RESULT_TOO_LARGE  "38X39"
#define DXX_SQLSTATE_LICENSE_INVALID           "38X40"
#define DXX_SQLSTATE_XALAN_INTERNAL_ERROR      "38X41"  /* DXXQ048E */ /* @StS */
#define DXX_SQLSTATE_OUTPUTFILE_EXISTS         "38X42"  /* DXXQ049E */ /* @StS */
#define DXX_SQLSTATE_NO_UNIQUE_FILE_NAME       "38X43"  /* DXXQ050E */ /* @StS */
#define DXX_SQLSTATE_DB2IOERROR                "38X44"  /* DXXQ051E */ /* @StS */
#define DXX_SQLSTATE_ICU_ERROR                 "38X45"

/**********************************************************************/
/*                 Error codes (for stored procedures)                */
/**********************************************************************/
/* Successful conditions are denoted by zero. */
/* They include all informational messages (I). */
#define DXX_ERRCODE_OK                          0

/* Warnings (W) are denoted by positive numbers. */
#define DXX_ERRCODE_PATH_NOT_FOUND 		      1  /* DXXD003W */
#define DXX_ERRCODE_DB2_ERROR_OCCURRED		      2  /* DXXM001W */
#define DXX_ERRCODE_RESULT_EXCEEDS_MAX		      3  /* DXXQ003W */
#define DXX_ERRCODE_DTDID_NOT_FOUND    		      4  /* DXXQ046W */

/* Errors (E) are denoted by negative numbers. */
#define DXX_ERRCODE_CANNOT_CONNECT_DB                 -1   /* DXXA003E */
#define DXX_ERRCODE_CANNOT_ENABLE_DB                  -2   /* DXXA004E */
#define DXX_ERRCODE_CANNOT_DISABLE_DB	              -3   /* DXXA007E */	
#define DXX_ERRCODE_CANNOT_XCOLUMN_TAG                -4   /* DXXA009E */
#define DXX_ERRCODE_FIND_DTDID_FAILED		      -5   /* DXXA010E */
#define DXX_ERRCODE_INSERT_XML_USAGE_FAILED           -6   /* DXXA011E */
#define DXX_ERRCODE_UPDATE_DTD_REF_FAILED	      -7   /* DXXA012E */
#define DXX_ERRCODE_ALTER_TBL_FAILED	              -8   /* DXXA013E */
#define DXX_ERRCODE_ROOT_ID_NOT_SINGLE_KEY	      -9   /* DXXA014E */
#define DXX_ERRCODE_DXXROOT_ID_ALREADY_EXISTS	      -10  /* DXXA015E */
#define DXX_ERRCODE_INPUT_TBL_DOES_NOT_EXIST	      -11  /* DXXA016E */
#define DXX_ERRCODE_INPUT_COL_DOES_NOT_EXIST	      -12  /* DXXA017E */
#define DXX_ERRCODE_COL_NOT_XML_ENABLED		      -13  /* DXXA018E */
#define DXX_ERRCODE_INPUT_PARM_IS_NULL		      -14  /* DXXA019E */
#define DXX_ERRCODE_COL_NOT_FOUND		      -15  /* DXXA020E */
#define DXX_ERRCODE_CANNOT_CREATE_VIEW		      -16  /* DXXA021E */
#define DXX_ERRCODE_CANNOT_FIND_DAD		      -17  /* DXXA023E */
#define DXX_ERRCODE_ACCESS_SYSCAT_FAILED	      -18  /* DXXA024E */
#define DXX_ERRCODE_CANNOT_DROP_VIEW		      -19  /* DXXA025E */
#define DXX_ERRCODE_UNABLE_DROP_SIDE_TBL	      -20  /* DXXA026E */
#define DXX_ERRCODE_DROP_TRIGGER_BIT_FAILED	      -21  /* DXXA027E */
#define DXX_ERRCODE_DROP_TRIGGER_AIT_FAILED	      -22  /* DXXA028E */
#define DXX_ERRCODE_DROP_TRIGGER_ADT_FAILED	      -23  /* DXXA029E */
#define DXX_ERRCODE_DROP_TRIGGER_AUT_FAILED	      -24  /* DXXA030E */
#define DXX_ERRCODE_UNABLE_RESET_DXXROOT_ID_NULL      -25  /* DXXA031E */
#define DXX_ERRCODE_DECREMENT_USAGE_COUNT_FAILED      -26  /* DXXA032E */
#define DXX_ERRCODE_DELETE_ROW_FAILED		      -27  /* DXXA033E */
#define DXX_ERRCODE_TBLSPACE_NAME_TOO_LONG	      -28  /* DXXA037E */
#define DXX_ERRCODE_VIEW_NAME_TOO_LONG		      -29  /* DXXA038E */
#define DXX_ERRCODE_ROOT_ID_NAME_TOO_LONG	      -30  /* DXXA039E */
#define DXX_ERRCODE_UNABLE_CREATE_SIDE_TBL	      -31  /* DXXA046E */
#define DXX_ERRCODE_CREATE_TRIGGER_BIT_FAILED  	      -32  /* DXXA047E */
#define DXX_ERRCODE_CREATE_TRIGGER_AIT_FAILED         -33  /* DXXA048E */
#define DXX_ERRCODE_CREATE_TRIGGER_ADT_FAILED	      -34  /* DXXA049E */
#define DXX_ERRCODE_CREATE_TRIGGER_AUT_FAILED	      -35  /* DXXA050E */
#define DXX_ERRCODE_DROP_TRIGGER_VBIT_FAILED	      -36  /* DXXA051E */
#define DXX_ERRCODE_DROP_TRIGGER_VBUT_FAILED	      -37  /* DXXA052E */
#define DXX_ERRCODE_CREATE_TRIGGER_VBIT_FAILED	      -38  /* DXXA053E */
#define DXX_ERRCODE_CREATE_TRIGGER_VBUT_FAILED	      -39  /* DXXA054E */
#define DXX_ERRCODE_VALIDATION_VALUE_INVALID	      -40  /* DXXA056E */
#define DXX_ERRCODE_SIDE_TBL_NAME_INVALID	      -41  /* DXXA057E */
#define DXX_ERRCODE_COL_NAME_INVALID		      -42  /* DXXA058E */
#define DXX_ERRCODE_COL_TYPE_INVALID		      -43  /* DXXA059E */
#define DXX_ERRCODE_PATH_EXP_INVALID		      -44  /* DXXA060E */
#define DXX_ERRCODE_MULTI_OCCUR_INVALID		      -45  /* DXXA061E */
#define DXX_ERRCODE_UNABLE_RETRIEVE_COL_NUM	      -46  /* DXXA062E */
#define DXX_ERRCODE_UNABLE_OPEN_FILE		      -47  /* DXXC000E */
#define DXX_ERRCODE_UNABLE_READ_FILE		      -48  /* DXXC002E */
#define DXX_ERRCODE_UNABLE_WRITE_FILE		      -49  /* DXXC003E */
#define DXX_ERRCODE_UNABLE_OPERATE_LOB		      -50  /* DXXC004E */	
#define DXX_ERRCODE_FILE_GRTR_THAN_XMLVCHAR_SIZE      -51  /* DXXC005E */
#define DXX_ERRCODE_FILE_EXCEEDS_LOB_LIMIT	      -52  /* DXXC006E */
#define DXX_ERRCODE_UNABLE_RETRIEVE_DATA	      -53  /* DXXC007E */
#define DXX_ERRCODE_INVALID_XML_DOC_REJECTED          -54  /* DXXD000E */
#define DXX_ERRCODE_PLURAL_PATH_EXISTS		      -55  /* DXXD001E */
#define DXX_ERRCODE_FILE_NAME_INVALID		      -56  /* DXXG000E */
#define DXX_ERRCODE_INTERNAL_ERROR	              -57  /* DXXG001E */
#define DXX_ERRCODE_OUT_OF_MEMORY                     -58  /* DXXG002E */
#define DXX_ERRCODE_UNABLE_OBTAIN_LOB_LENGTH          -59  /* DXXG003E */
#define DXX_ERRCODE_INVALID_NULL_PARM		      -60  /* DXXG004E */
#define DXX_ERRCODE_ELEMENT_MISSING		      -61  /* DXXQ000E */
#define DXX_ERRCODE_INVALID_SQL_STMT_VALUE	      -62  /* DXXQ001E */
#define DXX_ERRCODE_CANNOT_GEN_STORAGE_SPACE	      -63  /* DXXQ002E */
#define DXX_ERRCODE_COL_NAME_NOT_MISSING	      -64  /* DXXQ004E */
#define DXX_ERRCODE_WRONG_RELATNL_MAPPING	      -65  /* DXXQ005E */
#define DXX_ERRCODE_ATTR_NODE_ELMT_NAMELESS	      -66  /* DXXQ006E */
#define DXX_ERRCODE_ATTR_NODE_NO_ELMT_OR_RDB          -67  /* DXXQ007E */
#define DXX_ERRCODE_TEXT_NODE_NO_ELMT	              -68  /* DXXQ008E */
#define DXX_ERRCODE_RESULT_TBL_NOT_EXIST	      -69  /* DXXQ009E */
#define DXX_ERRCODE_RDB_NODE_NO_TBL		      -70  /* DXXQ010E */
#define DXX_ERRCODE_RDB_NODE_NO_COL	   	      -71  /* DXXQ011E */
#define DXX_ERRCODE_INTRNL_ERRORS_IN_DOM              -72  /* DXXQ012E */
#define DXX_ERRCODE_ELMT_NO_NAME	              -73  /* DXXQ013E */
#define DXX_ERRCODE_ELMT_NODE_NO_NAME	              -74  /* DXXQ014E */
#define DXX_ERRCODE_CONDITION_FORMAT_INVALID	      -75  /* DXXQ015E */
#define DXX_ERRCODE_TBL_NAME_NOT_DEFINED              -76  /* DXXQ016E */
#define DXX_ERRCODE_COL_TOO_SMALL	              -77  /* DXXQ017E */
#define DXX_ERRCODE_OBJIDS_MISSING	              -78  /* DXXQ018E */
#define DXX_ERRCODE_OBJIDS_NO_COL_ELMT	              -79  /* DXXQ019E */
#define DXX_ERRCODE_FILE_NOT_FOUND	              -80  /* DXXC001E */
#define DXX_ERRCODE_TABLE_NOT_HAVE_COL	              -81  /* DXXQ021E */
#define DXX_ERRCODE_COL_SHOULD_HAVE_TYPE              -82  /* DXXQ022E */
#define DXX_ERRCODE_COL_NAME_TOO_LONG	              -83  /* DXXQ023E */
#define DXX_ERRCODE_CANNOT_CREATE_TABLE	              -84  /* DXXQ024E */
#define DXX_ERRCODE_PARSER_ERR                        -85
#define DXX_ERRCODE_XML_DATA_OVERFLOW                 -86   /* DXXQ026E */
#define DXX_ERRCODE_RESULT_V_TRIGGER_CREATION_FAILED  -87   /* DXXQ027E  @AC7 */
#define DXX_ERRCODE_COLLECTION_NAME_NOT_FOUND         -88   /* DXXQ028E  @AC8 */
#define DXX_ERRCODE_DAD_NOT_FOUND_FOR_COLL_NAME       -89   /* DXXQ029E  @AC8 */
#define DXX_ERRCODE_INVALID_DOC			      -90   /* DXXD000E  @IC10 */
#define DXX_ERRCODE_PARM_NOT_SUPPORTED		      -91   /* DXXG005E  @jxu2 */
#define DXX_ERRCODE_ADM_INTERNAL                      -92   /* DXXA001S */
#define DXX_ERRCODE_UPDATE_TRIGGER                    -93   /* DXXA019S */
#define DXX_ERRCODE_PATH_SYNTAX_ERR                   -94   /* DXXD002E */
#define DXX_ERRCODE_CALL_PROCNAME_FAILED              -95   /* DXXA065E */
#define DXX_ERRCODE_UNABLE_REMOVE_FILE                -96   /* DXXC008E */ /*@H1*/
#define DXX_ERRCODE_UNABLE_WRITE_DIRECTORY            -97   /* DXXC009E */ /*@H1*/
#define DXX_ERRCODE_FILE_WRITE_ERROR                  -98   /* DXXC010E */ /*@H2*/
#define DXX_ERRCODE_WRONG_XML_OVERRIDE                -99   /* DXXQ030E */ /*@OV1*/
#define DXX_ERRCODE_TABLE_NAME_TOO_LONG_IN_COND       -100  /* DXXQ031E */ /*H2*/
#define DXX_ERRCODE_COL_NAME_TOO_LONG_IN_COND         -101  /* DXXQ032E */ /*H2*/
#define DXX_ERRCODE_TRC_ENV_ERR                       -102
#define DXX_ERRCODE_BINDFILE_NOT_FOUND                -103  /* DXXA072E*/ /*@3183H*/
#define DXX_ERRCODE_NOTBIND                           -104  /* DXXA073E*/ /*@3183H*/
#define DXX_ERRCODE_UNABLE_OPEN_TRACECONTROL_FILE     -105  /* DXXC011E*/
#define DXX_ERRCODE_CANNOT_CREATE_TEMP_FILE           -106  /* DXXC012E */
#define DXX_ERRCODE_WRONG_PARAMETER_TYPE_STRING       -107  /* DXXA074E */
#define DXX_ERRCODE_WRONG_PARAMETER_TYPE_INTERGER     -108  /* DXXA075E */
#define DXX_ERRCODE_INVALID_SQL_IDENTIFIER            -109  /* DXXQ033E */
#define DXX_ERRCODE_INVALID_TOP_WHERE_CLAUSE          -110  /* DXXQ034E */
#define DXX_ERRCODE_INVALID_JOIN_COND                 -111  /* DXXQ035E */
#define DXX_ERRCODE_SQLPARSER_SYNTAX_ERROR            -112  /* DXXQ047E */
#define DXX_ERRCODE_SQLPARSER_EXPECTED_IDENTIFIER     -113
#define DXX_ERRCODE_SQLPARSER_IDENTIFIER_TOO_LONG     -114
#define DXX_ERRCODE_SCHEMA_NAME_TOO_LONG_IN_COND      -115  /* DXXQ036E */
#define DXX_ERRCODE_TRACE_INSTANCE_INVALID            -116  /* DXXA076E */
#define DXX_ERRCODE_CANT_GEN_MULTOCC                  -117  /* DXXQ037E */
#define DXX_ERRCODE_WRONG_CODEPAGE                    -118  /* DXXG007E */
#define DXX_ERRCODE_UNSUPPORTED_CODEPAGE              -119  /* DXXG008E */
#define DXX_ERRCODE_LICENSE_INVALID                   -120  /* DXXA077E */
#define DXX_ERRCODE_SQL_STMT_TOO_LONG                 -121  /* DXXQ038E */
#define DXX_ERRCODE_COL2XML_MAX_EXCEEDED              -122  /* DXXQ039E */
#define DXX_ERRCODE_INVALID_TAG                       -123  /* DXXQ040E */
#define DXX_ERRCODE_LIMIT_EXCEEDED                    -124  /* DXXG017E */
#define DXX_ERRCODE_ATTRIBUTE_MISSING_IN_ELEMENT      -125  /* DXXQ043E */
#define DXX_ERRCODE_NO_ANCESTOR_ELEMENT               -126  /* DXXQ044E */
#define DXX_ERRCODE_DUPLICATE_ATTRIBUTES_IN_SUBTREE   -127  /* DXXQ045E */
#define DXX_ERRCODE_XALAN_INTERNAL_ERROR              -128  /* DXXQ048E */
#define DXX_ERRCODE_OUTPUTFILE_EXISTS                 -129  /* DXXQ049E */
#define DXX_ERRCODE_NO_UNIQUE_FILE_NAME               -130  /* DXXQ050E */
#define DXX_ERRCODE_DB2IOERROR                        -131  /* DXXQ051E */
#define DXX_ERRCODE_XML_USAGE_DOES_NOT_EXIST	      -132  /* DXXQ052E */
#define DXX_ERRCODE_SQL_STMT_FAILED                   -133  /* DXXQ053E */
#define DXX_ERRCODE_INVALID_PARAMETER                 -134  /* DXXQ054E */
#define DXX_ERRCODE_ICU_CONVERSION_ERROR              -135  /* DXXQ055E */
#define DXX_ERRCODE_REDUNDANT_FOR_KEY_MAPPING         -136  /* DXXQ056E */
#define DXX_ERRCODE_BOTH_SCHEMA_DTD_FOUND             -137  /* DXXQ057E */
#define DXX_ERRCODE_NO_NAMESPACE_LOCATION             -138  /* DXXQ058E */
#define DXX_ERRCODE_SCHEMA_NO_DOCTYPE                 -139  /* DXXQ059E */
#define DXX_ERRCODE_SCHEMAID_NOT_FOUND                -140  /* DXXQ060E */
#define DXX_ERRCODE_INVALID_FORMAT                    -141  /* DXXQ061E */
#define DXX_ERRCODE_DAD_ERROR                         -142  /* DXXQ062E */
#define DXX_ERRCODE_DADMAP_ERROR                      -143  /* DXXQ064E */
#define DXX_ERRCODE_PRIMARYKEY_NOT_FOUND              -144  /* DXXQ066E */
#define DXX_ERRCODE_ACTION_FAILED                     -145  /* DXXQ067E */
#define DXX_ERRCODE_INVALID_AUTHORIZATION_ID          -146  /* DXXQ068E */
#endif
