#
# xcolumn2 - testing enable column with table app1
#	       (DAD: litem.dad) with multiple subtables and multiple occurrence
#            1. enable column 
#            2.	import 3 xml files (CLOBFromFile).
#            3. query the content to make sure insert trigger works
#            4. update the content to make sure update trigger works
#            5. delete the content to make sure delete trigger works
#   
#
#dxxadm enable_db mydb

db2 "connect to mydb"

db2 "create table app1 (id int NOT NULL primary key, name char(20), Order db2xml.xmlclob not logged)"

db2 "insert into db2xml.dtd_ref values('litem_dtd', db2xml.XMLClobFromFile('/usr/IBMdb2xml/V7.1/samples/dtd/LineItem.dtd'), 0, 'anita', 'anita','anita')"

# make sure your current running path is right.
dxxadm enable_column mydb app1 Order "/usr/IBMdb2xml/V7.1/samples/dad/litem.dad" -r id

# create index on the discount column in subtable discount
db2 "create index discount_idx on discount(discount)"

#import 3 xml documents
db2 "insert into app1 (id, name, Order) values(11, 'order1', db2xml.XMLClobFromFile('/usr/IBMdb2xml/V7.1/samples/xml/litem1.xml'))"

db2 "insert into app1 (id, name, Order) values(22, 'order2', db2xml.XMLClobFromFile('/usr/IBMdb2xml/V7.1/samples/xml/litem2.xml'))"

db2 "insert into app1 (id, name, Order) values(33, 'order3', db2xml.XMLClobFromFile('/usr/IBMdb2xml/V7.1/samples/xml/litem3.xml'))"

db2 "select * from part_key order by id, dxx_seqno asc"

# get a discount table which is > 0.05
db2 "select returneddouble from app1 a, table(db2xml.extractDoubles(a.Order, '/Order/Part/Discount')) as x where returneddouble > 0.05"

# replace litem3.xml with litem5.xml
db2 "update app1 set Order = db2xml.XMLClobFromFile('/usr/IBMdb2xml/V7.1/samples/xml/litem5.xml') where id=33"

db2 "select * from part_key order by id, dxx_seqno asc"

db2 "select returneddouble from app1 a, table(db2xml.extractDoubles(a.Order, '/Order/Part/Discount')) as x where returneddouble > 0.05"

# delete litem1.xml 
db2 "delete from app1 where name='order1'"

db2 "select * from part_key order by id, dxx_seqno asc"

db2 "select returneddouble from app1 a, table(db2xml.extractDoubles(a.Order, '/Order/Part/Discount')) as x where returneddouble > 0.05"

#cleanup
dxxadm disable_column mydb app1 Order

db2 drop table app1

db2 "delete from db2xml.dtd_ref where dtdid='litem_dtd'"

#dxxadm disable_db mydb

db2 terminate

